| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Service::ChannelTypeServerAuthenticationAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Member Functions

QString | AuthenticationMethod () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.ServerAuthentication".

## Member Function Documentation

QString Tp::Service::ChannelTypeServerAuthenticationAdaptor::AuthenticationMethod | ( |  | ) | const

Return the value of the exported D-Bus object property `AuthenticationMethod` of type `QString`.

Adaptees should export this property as a Qt property named 'authenticationMethod' with type QString.

This property defines the method used for the authentication step represented by this channel, which MUST be one of this channel's ChannelInterface::Interfaces .

The initially-defined interface that can be used here is ChannelInterfaceSASLAuthenticationInterface .

Returns
  The value of exported property `AuthenticationMethod`.